libplasma3_4.14.16-0ubuntu3.3_amd64.deb


Description

libplasma3 - Plasma Library for the KDE Platform

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe amd64 Official
Package filename libplasma3_4.14.16-0ubuntu3.3_amd64.deb
Package name libplasma3
Package version 4.14.16
Package release 0ubuntu3.3
Package architecture amd64
Package type deb
Homepage http://plasma.kde.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 905.08 KB
Installed size 3.56 MB
Category
This package contains the Plasma library. Plasma is one of the key
technologies of KDE 4 (also known as the "Pillars of KDE"), and one of the
most visible to users. It is the component that is "in charge" of the desktop
interface; the desktop, panel (often referred simply as the task bar), and
related elements. Plasma aims to change the traditional concepts of the
"Desktop", incorporating semantic application elements, and bringing
cooperating technologies to the user's fingertips in a way that is visually
appealing while easing work flow.
It is part of the KDE Development Platform libraries module.

Alternatives

Package Version Arch Repository
libplasma3_4.14.22-0ubuntu2.2~ubuntu16.04~ppa1_amd64.deb 4.14.22 amd64 Kubuntu Backports Official
libplasma3_4.14.16-0ubuntu3_amd64.deb 4.14.16 amd64 Ubuntu Universe Official
libplasma3 All All All

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libkcmutils4 = 4:4.14.16-0ubuntu3.3
libkdecore5 = 4:4.14.16-0ubuntu3.3
libkdeui5 = 4:4.14.16-0ubuntu3.3
libkdewebkit5 = 4:4.14.16-0ubuntu3.3
libkdnssd4 = 4:4.14.16-0ubuntu3.3
libkio5 = 4:4.14.16-0ubuntu3.3
libknewstuff3-4 = 4:4.14.16-0ubuntu3.3
libphonon4 >= 4:4.6.0really4.3.80
libqca2 >= 2.0.2
libqt4-declarative >= 4:4.8.0
libqt4-network >= 4:4.8.0
libqt4-opengl >= 4:4.8.0
libqt4-script >= 4:4.8.0
libqt4-sql >= 4:4.8.0
libqt4-svg >= 4:4.8.0
libqt4-xml >= 4:4.8.0
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.8.0
libqtwebkit4 -
libsolid4 = 4:4.14.16-0ubuntu3.3
libstdc++6 >= 4.1.1
libthreadweaver4 = 4:4.14.16-0ubuntu3.3
libx11-6 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libplasma3_4.14.16-0ubuntu3.3_amd64.deb
Source Package kde4libs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplasma3 deb package:
    # sudo apt-get install libplasma3

Files

Path
/usr/lib/libplasma.so.3
/usr/lib/libplasma.so.3.0.0
/usr/share/bug/libplasma3
/usr/share/doc/libplasma3/NEWS.Debian.gz
/usr/share/doc/libplasma3/changelog.Debian.gz
/usr/share/doc/libplasma3/copyright
/usr/share/kde4/servicetypes/plasma-animator.desktop
/usr/share/kde4/servicetypes/plasma-applet-popupapplet.desktop
/usr/share/kde4/servicetypes/plasma-applet.desktop
/usr/share/kde4/servicetypes/plasma-containment.desktop
/usr/share/kde4/servicetypes/plasma-containmentactions.desktop
/usr/share/kde4/servicetypes/plasma-dataengine.desktop
/usr/share/kde4/servicetypes/plasma-packagestructure.desktop
/usr/share/kde4/servicetypes/plasma-runner.desktop
/usr/share/kde4/servicetypes/plasma-scriptengine.desktop
/usr/share/kde4/servicetypes/plasma-service.desktop
/usr/share/kde4/servicetypes/plasma-toolbox.desktop
/usr/share/kde4/servicetypes/plasma-wallpaper.desktop
/usr/share/lintian/overrides/libplasma3

Changelog

2019-08-12 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
kde4libs (4:4.14.16-0ubuntu3.3) xenial-security; urgency=medium
* SECURITY UPDATE: Directory traversal vulnerability.
- debian/patches/CVE-2016-6232.patch: extraction location to be in
subfolder.
- CVE-2016-6232
* SECURITY UPDATE: malicious .desktop files (and others) would execute
code (LP: #1839432).
- debian/patches/CVE-2019-14744.patch: remove support for $(...) in
config keys with [$e] marker.
- CVE-2019-14744
2017-05-13 - Rik Mills <rikmills@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu3.2) xenial-security; urgency=medium
* SECURITY UPDATE: Local privilege escalation (LP: #1689759)
- debian/patches/kauth-local-privilege-esc-CVE-2017-8422.patch
- Thanks to Sebastian Krahmer for reporting this issue,
Albert Astals Cid for fixing this issue.
- CVE-2017-8422
2017-03-02 - v.naini <vishnu@vishnunaini.com>
kde4libs (4:4.14.16-0ubuntu3.1) xenial-security; urgency=medium
* SECURITY UPDATE:Information Leak when accessing https when using a
malicious PAC file
- debian/patches/kio-sanitize-url-to-FindProxyForURL.patch
- Thanks to Safebreach Labs researchers Itzik Kotler, Yonatan Fridburg
and Amit Klein for reporting this issue, Albert Astals Cid for fixing
this issue.
- No CVE number.
- fixes (LP: #1668871)
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu3) xenial; urgency=medium
* libkhtml5: Suggest kdelibs5-plugins instead of recommending it.
2016-02-19 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.16-0ubuntu2) xenial; urgency=medium
* libkio5: Suggest kdelibs5-plugins instead of recommending it.
2015-11-21 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.16-0ubuntu1) xenial; urgency=medium
* Fix VCS Url to point to the correct location
* New upstream release 
- refresh disable_bogus_test.diff
* Refresh libkio5.symbols to remove missing internal symbols
* Merge with debian git master 
2015-12-02 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.14-1) unstable; urgency=medium
* New upstream release (4.14.14).
* Update symbols files from buildds logs (4:4.14.13-1).
* Refresh patches.
2015-10-16 - Maximiliano Curia <maxy@debian.org>
kde4libs (4:4.14.13-1) unstable; urgency=medium
* New upstream release (4.14.13).
* Update install files.
* Update symbols files from buildds logs (4:4.14.12-2).
2015-11-03 - Philip Muškovac <yofel@kubuntu.org>
kde4libs (4:4.14.13-0ubuntu3) xenial; urgency=medium
* Fix autopackagetests by adding allow-stderr to the requirements.
2015-10-23 - Matthias Klose <doko@ubuntu.com>
kde4libs (4:4.14.13-0ubuntu2) xenial; urgency=medium
* No-change rebuild for giflib soname change.

See Also

Package Description
libplexus-archiver-java_2.2-1+deb9u1build0.16.04.1_all.deb Archiver plugin for the Plexus compiler system
libplexus-utils-java-doc_1.5.15-4+deb8u1build0.16.04.1_all.deb API Documentation for plexus-utils
libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb utilities for the Plexus framework
libplist-utils_1.12-3.1ubuntu0.16.04.1_amd64.deb Apple property list converter
libpng3_1.2.54-1ubuntu1.1_amd64.deb PNG library - runtime
libpoco-dev_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Development files
libpococrypto9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Crypto library
libpocodata9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Data library
libpocofoundation9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Foundation library
libpocomysql9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) MySQL library
libpoconet9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Network library
libpoconetssl9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Network library with SSL
libpocoodbc9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) ODBC library
libpocosqlite9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) SQLite library
libpocoutil9v5_1.3.6p1-5.1ubuntu0.1_amd64.deb C++ Portable Components (POCO) Util library